API ReferenceWorkflows
Create a workflow.
Create a workflow. - Rensei REST API operation reference.
POST
header
AuthorizationBearer <rsk_live_*>Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.
application/json- body
name?stringdescription?string|nullprojectId?stringnodes?array<unknown>edges?array<unknown>viewport?unknownWorkflow created.
application/json- response
id*stringworkspaceId*stringorgId*string|nullprojectId*string|nullname*stringdescription*string|nullstatus*stringnodes*array<unknown>edges*array<unknown>viewport*unknowndefinitionYaml*string|nullcreatedBy*stringcreatedAt*stringupdatedAt*stringarchivedAt*string|nullowningProjectSlug*string|nullbrokenReason*unknown|nulltriggerSubscriptionCount?integerRange
0 <= value <= 9007199254740991curl -X POST 'https://app.rensei.ai/api/workflows' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "string", "workspaceId": "string", "orgId": "string", "projectId": "string", "name": "string", "description": "string", "status": "string", "nodes": [ null ], "edges": [ null ], "viewport": null, "definitionYaml": "string", "createdBy": "string", "createdAt": "string", "updatedAt": "string", "archivedAt": "string", "owningProjectSlug": "string", "brokenReason": null, "triggerSubscriptionCount": 0}